=== debian/changelog ===
ros-dashing-rmw-opensplice-cpp (0.7.3-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 01 Aug 2019 00:52:07 -0000
